Debian Bug report logs - #600523
zerofree: allow filling empty space with nonzero octets

version graph

Package: zerofree; Maintainer for zerofree is Thibaut Paumard <thibaut@debian.org>; Source for zerofree is src:zerofree.

Reported by: Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>

Date: Sun, 17 Oct 2010 19:09:07 UTC

Severity: wishlist

Tags: patch, upstream

Found in version zerofree/1.0.1-2

Fixed in version zerofree/1.0.1-3

Done: Thibaut Paumard <paumard@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thibaut Paumard <paumard@users.sourceforge.net>:
Bug#600523; Package zerofree. (Sun, 17 Oct 2010 19:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to Thibaut Paumard <paumard@users.sourceforge.net>. (Sun, 17 Oct 2010 19:09:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacob Nevins <0jacobnk.debian@chiark.greenend.org.uk>
To: submit@bugs.debian.org, rmy@tigress.co.uk
Subject: zerofree: allow filling empty space with nonzero octets
Date: Sun, 17 Oct 2010 20:07:43 +0100
[Message part 1 (text/plain, inline)]
Package: zerofree
Version: 1.0.1-2
Severity: wishlist
Tags: upstream, patch

This patch adds a "-f [fillval]" option to zerofree allowing unused
blocks to be filled with some other octet.

Why? There's a well-known write performance degradation issue with solid
state drives (SSDs) due to the drive firmware being unaware of which
blocks are unused by the filesystem. Modern SSDs allow the OS to tell
them about unused space. <http://en.wikipedia.org/wiki/TRIM> describes
the issue.

However, only recent SSDs support this. I've seen reports on the
Internet[*] that some older SSDs have firmware which will spot a write
of "erased" values to a block and treat the block as empty, giving the
same rejuvenation as the TRIM command would. 0xFF is a particularly
likely "erased" value, the erase state of the underlying Flash typically
being interpreted as a "1" bit.

  [*] for instance
<http://www.ocztechnologyforum.com/forum/showthread.php?67034-Wiping-with-BC-Wipe-to-recover-write-performance>

"zerofree" was approximately the right shape to do this job, hence my
patch.

I've provided two patches: one to the actual code (for Ron and Debian),
and one to the manual page (for Debian).

(Note that I haven't verified that this actually makes any difference on
any real SSD yet; so far I've just tried it on a filesystem image and
checked that fsck is happy with the result.)
[zerofree-1.0.1-2-nz.diff (text/x-diff, attachment)]
[zerofree-1.0.1-2-nz-man.diff (text/x-diff, attachment)]

Reply sent to Thibaut Paumard <paumard@users.sourceforge.net>:
You have taken responsibility. (Mon, 02 Apr 2012 09:15:19 GMT) Full text and rfc822 format available.

Notification sent to Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Mon, 02 Apr 2012 09:15:28 GMT) Full text and rfc822 format available.

Message #10 received at 600523-close@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 600523-close@bugs.debian.org
Subject: Bug#600523: fixed in zerofree 1.0.1-3
Date: Mon, 02 Apr 2012 09:12:46 +0000
Source: zerofree
Source-Version: 1.0.1-3

We believe that the bug you reported is fixed in the latest version of
zerofree, which is due to be installed in the Debian FTP archive:

zerofree_1.0.1-3.debian.tar.gz
  to main/z/zerofree/zerofree_1.0.1-3.debian.tar.gz
zerofree_1.0.1-3.dsc
  to main/z/zerofree/zerofree_1.0.1-3.dsc
zerofree_1.0.1-3_i386.deb
  to main/z/zerofree/zerofree_1.0.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600523@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thibaut Paumard <paumard@users.sourceforge.net> (supplier of updated zerofree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Apr 2012 22:43:32 +0200
Source: zerofree
Binary: zerofree
Architecture: source i386
Version: 1.0.1-3
Distribution: unstable
Urgency: low
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Changed-By: Thibaut Paumard <paumard@users.sourceforge.net>
Description: 
 zerofree   - zero free blocks from ext2/3 file-systems
Closes: 542360 562171 600523 639301
Changes: 
 zerofree (1.0.1-3) unstable; urgency=low
 .
   * Bug fix: clarify description and documentation, thanks to Ritesh Raj
     Sarraf (Closes: #542360), Christoph Anton Mitterer (Closes: #639301),
     Osamu Aoki (Closes: #562171).
   * Bug fix: "allow filling empty space with nonzero octets", thanks to
     Jacob Nevins (Closes: #600523).
Checksums-Sha1: 
 d0a1b57abf89b575c87fe03075270995773fcec4 1135 zerofree_1.0.1-3.dsc
 46e73d9c75afd3d00923a81f44a65df1402ca5a3 6168 zerofree_1.0.1-3.debian.tar.gz
 10443ff284d917197bc3f9a4da7698772b5c19f5 7848 zerofree_1.0.1-3_i386.deb
Checksums-Sha256: 
 5e683a58291d7d5ad67635a061d9c2e26d96aa7f4e842c8602d0af4c02175bda 1135 zerofree_1.0.1-3.dsc
 4aaef36766dc8e28215cf424477e63b907a6de0fc1250d27d133f5d511be3123 6168 zerofree_1.0.1-3.debian.tar.gz
 f620a7da7f72279acd96885cb27b711fb0883a1b49b0b3d5a4fa5cc52d4e2846 7848 zerofree_1.0.1-3_i386.deb
Files: 
 7e5a6947ffc4de5745ded561af393c9d 1135 admin extra zerofree_1.0.1-3.dsc
 217d7bd88edfdc04f66e7a32d314364b 6168 admin extra zerofree_1.0.1-3.debian.tar.gz
 dc871acfdbaa4a2bc701a842c933bd54 7848 admin extra zerofree_1.0.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk95W1EACgkQ+37NkUuUiPF9vwCeL7/cO84hQpNFmpqKHJ+DvgsV
lWkAn2hxacrRmkq7pmqgQa1XNeyBcLKm
=ovwH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 May 2012 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:35:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.